com.trendmicro.ds.appcontrol.rest.object.drift

## Class ListComputerDriftResponse.Item

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ListComputerDriftResponse.Item

- Enclosing class:
    ListComputerDriftResponse

      public static class ListComputerDriftResponse.Item
      extends java.lang.Object

  A list item, i.e. a computer with drift.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`
    `Item(int hostID, java.lang.String hostName, java.lang.String displayName, long count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCount()` The number of drift items on the computer.
    `java.lang.String` | `getDisplayName()` The computer's display name.
    `int` | `getHostID()` The computer's host ID.
    `java.lang.String` | `getHostName()` The computer's host name.
    `void` | `setCount(long count)`
    `void` | `setDisplayName(java.lang.String displayName)`
    `void` | `setHostID(int hostID)`
    `void` | `setHostName(java.lang.String hostName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

    - #### Item

          public Item(int hostID,
                      java.lang.String hostName,
                      java.lang.String displayName,
                      long count)

  - ### Method Detail

    - #### getHostID

          public int getHostID()

      The computer's host ID.
      Returns:

    - #### setHostID

          public void setHostID(int hostID)

    - #### getHostName

          public java.lang.String getHostName()

      The computer's host name.
      Returns:

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### getDisplayName

          public java.lang.String getDisplayName()

      The computer's display name.
      Returns:

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

    - #### getCount

          public long getCount()

      The number of drift items on the computer.
      Returns:

    - #### setCount

          public void setCount(long count)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.